LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 07-04-2018, 09:46 AM   #1
ewn
LQ Newbie
 
Registered: Jul 2018
Posts: 1

Rep: Reputation: Disabled
PGAdmin error: "application failed to start because it could not find or load the Qt platform plugin "xcb"


Hi, I'm on Lubuntu 18.04 and can't get pgadmin4 (postgres gui) running. In terminal:


Quote:
owner@G700:~$ /opt/PostgreSQL/10/scripts/launchpgadmin.sh


This application failed to start because it could not find or load the Qt platform plugin "xcb".

Available platform plugins are: xcb.

Reinstalling the application may fix this problem.
Aborted (core dumped)


I then tried:

Quote:
owner@G700:~$ locate libqxcb

/home/owner/.dropbox-dist/dropbox-lnx.x86_64-52.4.60/plugins/platforms/libqxcb.so
/opt/PostgreSQL/10/pgAdmin 4/plugins/platforms/libqxcb.so
/opt/PostgreSQL/10/pgAdmin 4/plugins/xcbglintegrations/libqxcb-glx-integration.so
/opt/calibre/lib/qt_plugins/platforms/libqxcb.so
/snap/kde-frameworks-5/25/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqxcb.so
/snap/kde-frameworks-5/25/usr/lib/x86_64-linux-gnu/qt5/plugins/xcbglintegrations/libqxcb-egl-integration.so
/snap/kde-frameworks-5/25/usr/lib/x86_64-linux-gnu/qt5/plugins/xcbglintegrations/libqxcb-glx-integration.so
/snap/kde-frameworks-5/26/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqxcb.so
/snap/kde-frameworks-5/26/usr/lib/x86_64-linux-gnu/qt5/plugins/xcbglintegrations/libqxcb-egl-integration.so
/snap/kde-frameworks-5/26/usr/lib/x86_64-linux-gnu/qt5/plugins/xcbglintegrations/libqxcb-glx-integration.so
/snap/kde-frameworks-5/27/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqxcb.so
/snap/kde-frameworks-5/27/usr/lib/x86_64-linux-gnu/qt5/plugins/xcbglintegrations/libqxcb-egl-integration.so
/snap/kde-frameworks-5/27/usr/lib/x86_64-linux-gnu/qt5/plugins/xcbglintegrations/libqxcb-glx-integration.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqxcb.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/xcbglintegrations/libqxcb-egl-integration.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/xcbglintegrations/libqxcb-glx-integration.so

I don't know what to do next. Thanks for any suggestions.
 
Old 07-06-2018, 06:52 PM   #2
business_kid
LQ Guru
 
Registered: Jan 2006
Location: Ireland
Distribution: Slackware & Android
Posts: 10,991

Rep: Reputation: 1250Reputation: 1250Reputation: 1250Reputation: 1250Reputation: 1250Reputation: 1250Reputation: 1250Reputation: 1250Reputation: 1250
Have you tried it under X?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Slackware 14.2 multilib - MkvToolNixGUI cannot find or load the Qt platform plugin "xcb" glupa4e Slackware 2 05-08-2017 02:53 PM
[SOLVED] What is Qt platform plugin "xcb"? mfoley Slackware 3 12-07-2016 12:56 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 10:29 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration